Limerence
Data sources

List Data Sources

Get all data sources for the authenticated user

GET
/data-sources

Get all data sources for the authenticated user

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/data-sources"
[  {    "connectionStatus": null,    "createdAt": "string",    "database": null,    "datasets": null,    "filePath": null,    "fileSize": null,    "googleAdsTransfer": null,    "host": null,    "id": "string",    "instanceName": null,    "lastError": null,    "lastTestedAt": null,    "name": "string",    "originalFileName": null,    "port": null,    "projectId": null,    "searchConsoleExports": [      {        "createdAt": "string",        "datasetId": "string",        "dataSourceId": "string",        "id": "string",        "lastCheckedAt": null,        "lastError": null,        "latestDataDate": null,        "location": "string",        "siteUrl": "string",        "status": "PREPARING",        "teamId": "string",        "updatedAt": "string"      }    ],    "spaceDataSources": [      {        "space": {          "id": "string",          "name": "string"        },        "createdAt": "string",        "dataSourceId": "string",        "grounding": "string",        "id": "string",        "spaceId": "string"      }    ],    "ssl": true,    "teamId": "string",    "trustServerCertificate": true,    "type": "SQLITE",    "updatedAt": "string",    "username": null  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}